<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.ee">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="annotation-property-replacement,ear-subdeployments-isolated,global-modules,jboss-descriptor-property-replacement,spec-descriptor-property-replacement"/>
        <elem name="addr-params" value="profile,subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.ee"/>
    </annotation>
    <refs>
        <ref feature="extension" include="true"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="annotation-property-replacement" nillable="true"/>
        <param name="extension" default="org.jboss.as.ee"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="jboss-descriptor-property-replacement" nillable="true"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="ee"/>
        <param name="spec-descriptor-property-replacement" nillable="true"/>
        <param name="global-modules" nillable="true"/>
        <param name="ear-subdeployments-isolated" nillable="true"/>
    </params>
    <packages>
        <package name="org.jboss.invocation"/>
        <package name="org.wildfly.naming"/>
        <package name="javax.json.api" optional="true"/>
        <package name="org.glassfish.javax.el" optional="true"/>
        <package name="org.jboss.as.ee"/>
    </packages>
</feature-spec>